> ## Documentation Index
> Fetch the complete documentation index at: https://docs.initia.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Track Transaction

> Registers a transaction for cross-chain tracking. Call this once with the transaction hash and chain ID immediately after broadcasting. This is required before you can poll the transaction status.

After calling this endpoint, use Get Transaction Status (`GET /v2/tx/status`) to poll for progress updates.



## OpenAPI

````yaml /api-reference/router-api/openapi.yaml post /v2/tx/track
openapi: 3.1.0
info:
  title: Router API
  description: Cross-chain transfer routing API for the Initia ecosystem.
  version: 1.0.0
servers:
  - url: https://router-api.initia.xyz
    description: Mainnet
  - url: https://router-api.initiation-2.initia.xyz
    description: Testnet
security: []
paths:
  /v2/tx/track:
    post:
      tags:
        - Tracking Transactions
      summary: Track Transaction
      description: >-
        Registers a transaction for cross-chain tracking. Call this once with
        the transaction hash and chain ID immediately after broadcasting. This
        is required before you can poll the transaction status.


        After calling this endpoint, use Get Transaction Status (`GET
        /v2/tx/status`) to poll for progress updates.
      operationId: trackTransaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - tx_hash
                - chain_id
              properties:
                tx_hash:
                  type: string
                  description: The transaction hash to track.
                chain_id:
                  type: string
                  description: The chain ID where the transaction was submitted.
            example:
              tx_hash: ABCDEF1234567890...
              chain_id: interwoven-1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tx_hash:
                    type: string
                    description: Hash of the tracked transaction.
                  explorer_link:
                    type: string
                    description: Link to the transaction on a block explorer.
              example:
                tx_hash: >-
                  87782A6A7C4EF4232FFC5B7C8204398AE73870049D8DC58E0146EFCAC3901979
                explorer_link: >-
                  https://scan.initia.xyz/strat-1/txs/87782A6A7C4EF4232FFC5B7C8204398AE73870049D8DC58E0146EFCAC3901979

````